json
{
"ICCID": "8901240397190195850"
}curl -X POST https://api.telegent.com/v1.0/sims/clear-status \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"ICCID": "8901240397190195850"
}'import requests
url = "https://api.telegent.com/v1.0/sims/clear-status"
payload = { "ICCID": "8901240397190195850" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({ICCID: '8901240397190195850'})
};
fetch('https://api.telegent.com/v1.0/sims/clear-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ICCID": "8901240397190195850",
"SimStatus": "Empty",
"Successful": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Sims
Clear SIM Status
Reset a SIM card’s status to Empty, effectively unassigning it from any active number or subscriber. Useful when decommissioning a SIM before reassigning it.
What this does: Returns the ICCID with a status of Empty and a success confirmation. After clearing, the SIM is unassigned and ready to be re-provisioned or reassigned to a different number.
Next steps:
- Re-provision the SIM —
POST /v1.0/numbers/provision - Assign a new status —
POST /v1.0/sims/update-status
POST
/
v1.0
/
sims
/
clear-status
json
{
"ICCID": "8901240397190195850"
}curl -X POST https://api.telegent.com/v1.0/sims/clear-status \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"ICCID": "8901240397190195850"
}'import requests
url = "https://api.telegent.com/v1.0/sims/clear-status"
payload = { "ICCID": "8901240397190195850" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({ICCID: '8901240397190195850'})
};
fetch('https://api.telegent.com/v1.0/sims/clear-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ICCID": "8901240397190195850",
"SimStatus": "Empty",
"Successful": true
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Body
application/json
The ICCID of the SIM card to clear
Example:
"8901240397190195850"
Response
Success — returns the SIM with Empty status
The response is of type object.
⌘I